include(CheckCXXCompilerFlag)

macro(cxx11)
  set(ENABLED_CXX11 ON)
  check_cxx_compiler_flag("-std=c++11" supports_cxx11)
  check_cxx_compiler_flag("-std=c++0x" supports_cxx0x)
  if(supports_cxx11)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
  elseif(supports_cxx0x)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
  else()
    message(WARNING "The compiler seems not to support C++11.")
    set(ENABLED_CXX11 OFF)
  endif()
endmacro()
