- how to run
    - `export PATH=${WHERE_TENES_INSTALLED}/bin:$PATH`
    - `sh run.sh`
    - `python3 ./calcspec.py` for calculating specific heat by spline interpolation of energy
    - `gnuplot -persist plot_e.plt` for generate a figure of energy
    - `gnuplot -persist plot_c.plt` for generate a figure of specific heat
    - `gnuplot -persist plot_mz.plt` for generate a figure of manetization alog Sz
    - `gnuplot -persist plot_mx.plt` for generate a figure of magnetization alog Sx
- model
    - Ferromagnetic Ising model on the square lattice
    - Transverse field is also considered
        - The critical value is about hx = 1.5
- Inputs
    - `simple_ft_strong.toml`
        - Finite temperature simulation under the strong field
        - `Jz = -1`
        - `hx = 2.0`
    - `simple_ft_middle.toml`
        - Finite temperature simulation under the moderate field
        - `Jz = -1`
        - `hx = 0.8`
    - `simple_ft_weak.toml`
        - Finite temperature simulation under the weak field
        - `Jz = -1`
        - `hx = 0.5`
    - `simple_ft_zero.toml`
        - Finite temperature simulation under the zero field
        - `Jz = -1`
        - `hx = 0`
- Observables
    - Magnetization along Sz
    - Magnetization along Sx
    - Energy
    - Specific Heat
        - calculated from Energy by interpolation and differentiation
- Unitcell
    - 2x2
- Reference data
    - calculated by the QMC method (ALPS/looper)
